Name: analitza
Summary: Library of mathematical features
Summary(ja): 数学関連ライブラリ
Version: 4.9.5
Release: 1%{?_dist_release}

License: GPLv2
Group: System Environment/Libraries
URL: http://www.kde.org/

Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: readline-devel

Conflicts: kalgebra-libs < 4.9.0

%description
%{summary}.


%package devel
Summary:   Development files for %{name}
Summary(ja): %{name} の開発用ファイル
Group:     Development/Libraries
Requires:  %{name} = %{version}-%{release}
Requires:  kdelibs4-devel

%description devel
%{summary}.

%description -l ja devel
%{name} の開発用ファイルです．


%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_bindir}/calgebra
%{_libdir}/libanalitza.so.*
%{_libdir}/libanalitzagui.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/kde4/%{name}
%{_includedir}/kde4/analitzagui
%{_libdir}/libanalitza.so
%{_libdir}/libanalitzagui.so
%{_libdir}/cmake/%{name}

%changelog
* Fri Jan 04 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.5-1
- new upstream release

* Sat Nov 10 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.3-1
- new upstream release

* Sun Oct 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.2-1
- new upstream release

* Thu Sep 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.1-1
- new upstream release

* Mon Aug 13 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.0-1
- initial build
