Name: audiocd-kio
Summary: AudioCD KIOSlave
Version: 4.9.5
Release: 1%{?_dist_release}

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

License: GPLv2+
Group: Applications/Multimedia
URL: http://www.kde.org/

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: kdelibs4-devel
BuildRequires: cdparanoia-devel
BuildRequires: libkcddb-devel
BuildRequires: libkcompactdisc-devel

Requires: kdelibs4 >= %{version}

Conflicts: kdemultimedia-libs < 4.9.0


%description
%{summary}


%package devel
Summary: Developer files for %{name}
Summary(ja): %{name} の開発用ファイル
Group: Development/Libraries
Requires: kdelibs4-devel

%description devel
%{summary}.


%prep
%setup -q 


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libaudiocdplugins.so.*
%{_libdir}/kde4/*.so
%{_datadir}/config.kcfg/audiocd_lame_encoder.kcfg
%{_datadir}/kde4/apps/kconf_update
%{_datadir}/kde4/apps/konqsidebartng/virtual_folders/services/audiocd.desktop
%{_datadir}/kde4/apps/solid/actions/solid_audiocd.desktop
%{_datadir}/kde4/services/audiocd.*
%{_docdir}/HTML/en/kioslave

%files devel
%defattr(-,root,root)
%{_includedir}/kde4/audiocdencoder.h
%{_libdir}/libaudiocdplugins.so


%changelog
* Fri Jan 04 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.5-1
- new upstream release

* Sat Nov 10 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.3-1
- new upstream release

* Sun Oct 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.2-1
- new upstream release

* Thu Sep 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.1-1
- new upstream release

* Sun Aug 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.0-1
- initial build
