Name: cantor
Summary: Interface for mathematical applications
Version: 4.9.5
Release: 1%{?_dist_release}

License: GPLv2+
Group: Applications/Edutainment
URL: http://edu.kde.org/cantor/

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

## upstream patches

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: desktop-file-utils
BuildRequires: gcc-gfortran
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: libspectre-devel
BuildRequires: R libRmath-devel
BuildRequires: soprano-devel
BuildRequires: libqalculate-devel
BuildRequires: analitza-devel

Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}

Conflicts: kdeedu4 < 4.6.50

%description
Cantor is an application to allow you to you use your favorite mathematical applications from within an elegant KDE-integrated worksheet interface. It provides dialogs to assist with common tasks and allows you to share your worksheets with others.

Cantor supports various mathematical applications as backends (provided in external packages):

 * KAlgebra
 * Maxima Computer Algebra System
 * R Project for Statistical Computing (cantor-backend-R)
 * Sage Mathematics Software
 * Octave

This package is part of the KDE education module.

%package backend-R
Summary: R backend for Cantor
Summary(ja): Cantor の R バックエンド
Group: Applications/Edutainment
Requires: %{name} = %{version}-%{release}

%description backend-R
%{summary}.

%package libs
Summary: Runtime libraries for %{name}
Summary(ja): %{name} のランタイムライブラリ
Group:   System Environment/Libraries
Conflicts: kdeedu4-math-libs < 4.6.50

%description libs
%{summary}.

%package devel
Summary: Development files for %{name}
Summary(ja): %{name} の開発用ファイル
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Conflicts: kdeedu4-devel < 4.6.50

%description devel
Header files for developing applications using %{name}.


%prep
%setup -q 

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

%clean
rm -rf $RPM_BUILD_ROOT 

%check
for f in $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop ; do
    desktop-file-validate $f
done


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%posttrans
update-desktop-database -q &> /dev/null ||:
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
    update-desktop-database -q &> /dev/null ||:
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
fi

%post backend-R
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%posttrans backend-R
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:

%postun backend-R
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%{_bindir}/cantor
%{_libdir}/libcantor_config.so
%{_libdir}/kde4/*.so
%exclude %{_libdir}/kde4/cantor_rbackend.so
%{_datadir}/applications/kde4/cantor.desktop
%{_datadir}/config/*.knsrc
%exclude %{_datadir}/config/cantor_r.knsrc
%{_datadir}/config.kcfg/*.kcfg
%exclude %{_datadir}/config.kcfg/rserver.kcfg
%{_datadir}/icons/hicolor/*/*/*
%exclude %{_datadir}/icons/hicolor/*/*/rbackend.*
%{_datadir}/kde4/apps/cantor
%{_datadir}/kde4/services/cantor/*.desktop
%exclude %{_datadir}/kde4/services/cantor/rbackend.desktop
%{_datadir}/kde4/servicetypes/cantor_*.desktop
%doc %{_docdir}/HTML/en/cantor/

%files backend-R
%defattr(-,root,root,-)
%{_bindir}/cantor_rserver
%{_libdir}/kde4/cantor_rbackend.so
%{_datadir}/config/cantor_r.knsrc
%{_datadir}/config.kcfg/rserver.kcfg
%{_datadir}/icons/hicolor/*/*/rbackend.*
%{_datadir}/kde4/services/cantor/rbackend.desktop


%files libs
%defattr(-,root,root)
%{_libdir}/libcantorlibs.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/kde4/cantor
%{_libdir}/libcantorlibs.so

%changelog
* Fri Jan 04 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.5-1
- new upstream release

* Sat Nov 10 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.3-1
- new upstream release

* Sun Oct 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.2-1
- new upstream release

* Thu Sep 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.1-1
- new upstream release

* Mon Aug 13 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.0-1
- new upstream release
- add BuildRequires: libqalculate-devel, analitza-devel

* Thu Sep  8 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.7.0-1
- split from kdeedu

