%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary: A library of handy utility functions.
Name: glib2
Version: 2.34.3
Release: 1%{?_dist_release}
License: LGPLv2+
Group: System Environment/Libraries
Source: http://ftp.gnome.org/pub/GNOME/sources/glib/2.34/glib-%{version}.tar.xz
Source2: glib2.sh
Source3: glib2.csh

Patch0:	glib-2.32.1-dconf-path.patch

BuildRoot: %{_tmppath}/glib-%{version}-root

BuildRequires: pkgconfig >= 0.14
BuildRequires: dbus-devel
BuildRequires: gamin-devel
BuildRequires: libffi-devel
BuildRequires: zlib-devel
BuildRequires: python-devel
BuildRequires: gtk-doc
Obsoletes: glib-gtkbeta
URL: http://www.gtk.org

Vendor: Project Vine
Distribution: Vine Linux
Packager: Daisuke SUZUKI <daisuke@linux.or.jp>, Takemikaduchi

%description 
GLib is the low-level core library that forms the basis
for projects such as GTK+ and GNOME. It provides data structure
handling for C, portability wrappers, and interfaces for such runtime
functionality as an event loop, threads, dynamic loading, and an
object system.

This package provides version 2.34 of GLib.

%package devel
Summary: Development files for the GLib library
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: pkgconfig >= 0.14
Requires: libffi-devel
Requires: zlib-devel

Obsoletes: glib-gtkbeta-devel
Conflicts: glib-devel <= 1.2.8

%description devel
The glib-devel package includes the header files for 
version 2.34 of the GLib library. 


## to build compat32 for x86_64 architecture support
%package -n compat32-%{name}
Summary: A library of handy utility functions.
Group: System Environment/Libraries

%description -n compat32-%{name}
GLib is the low-level core library that forms the basis
for projects such as GTK+ and GNOME. It provides data structure
handling for C, portability wrappers, and interfaces for such runtime
functionality as an event loop, threads, dynamic loading, and an
object system.

This package provides version 2.34 of GLib.

%package -n compat32-%{name}-devel
Summary: Development files for the GLib library
Group: Development/Libraries
Requires: pkgconfig >= 0.14
Requires: compat32-%{name} = %{version}

Conflicts: glib-devel <= 1.2.8

%description -n compat32-%{name}-devel
The glib-devel package includes the header files for 
version 2.34 of the GLib library. 

%prep
%setup -q -n glib-%{version}
%patch0 -p1

%build
%configure --disable-selinux --enable-static --enable-systemtap
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
make install DESTDIR=$RPM_BUILD_ROOT

## glib2.sh and glib2.csh
./mkinstalldirs $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d

mkdir -p $RPM_BUILD_ROOT%{python_sitearch}
ln -sf %{_libdir}/gdbus-2.0/codegen  $RPM_BUILD_ROOT%{python_sitearch}/codegen

touch $RPM_BUILD_ROOT%{_libdir}/gio/modules/giomodule.cache

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gio/modules/lib*.{a,la}
rm -f $RPM_BUILD_ROOT%{_libdir}/gio/modules/*.cache

%find_lang glib20

%clean
rm -rf $RPM_BUILD_ROOT

%post 
/sbin/ldconfig
gio-querymodules %{_libdir}/gio/modules

%postun
/sbin/ldconfig
gio-querymodules %{_libdir}/gio/modules

%post -n compat32-%{name} -p /sbin/ldconfig

%postun -n compat32-%{name} -p /sbin/ldconfig


%files -f glib20.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/gdbus
%{_bindir}/gio-querymodules
%{_bindir}/glib-compile-schemas
%{_bindir}/gsettings
%{_libdir}/libglib-2.0.so.*
%{_libdir}/libgthread-2.0.so.*
%{_libdir}/libgmodule-2.0.so.*
%{_libdir}/libgobject-2.0.so.*
%{_libdir}/libgio-2.0.so.*
%{_libdir}/gio/modules/lib*.so
%{_sysconfdir}/profile.d/*
%{_datadir}/bash-completion/completions/gdbus
%{_datadir}/bash-completion/completions/gsettings

%files devel
%defattr(-, root, root)
%{_bindir}/gdbus-codegen
%{_bindir}/glib-compile-resources
%{_bindir}/glib-genmarshal
%{_bindir}/glib-gettextize
%{_bindir}/glib-mkenums
%{_bindir}/gobject-query
%{_bindir}/gresource
%{_bindir}/gtester
%{_bindir}/gtester-report
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/gdbus-2.0/codegen/*
%{_libdir}/glib-2.0
%{_libdir}/pkgconfig/*
%{python_sitearch}/codegen
%{_includedir}/*
%{_datadir}/aclocal/*
%{_datadir}/glib-2.0
%doc %{_datadir}/gtk-doc/html/*
%doc %{_mandir}/man1/*
%{_datadir}/gdb/auto-load%{_libdir}/libglib-2.0.so.*-gdb.py*
%{_datadir}/gdb/auto-load%{_libdir}/libgobject-2.0.so.*-gdb.py*
%{_datadir}/bash-completion/completions/gresource

%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-, root, root)
%{_libdir}/libglib-2.0.so.*
%{_libdir}/libgthread-2.0.so.*
%{_libdir}/libgmodule-2.0.so.*
%{_libdir}/libgobject-2.0.so.*
%{_libdir}/libgio-2.0.so.*
%{_libdir}/gio/modules/lib*.so

%files -n compat32-%{name}-devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/glib-2.0
%endif

%changelog
* Wed Jan 02 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.34.3-1
- new upstream release

* Sat Nov 10 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.34.2-1
- new upstream release

* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.34.1-1
- new upstream release

* Wed Sep 26 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.34.0-1
- new upstream release

* Mon Jul 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.4-1
- new upstream release

* Sun May 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.3-1
- new upstream release

* Wed May 02 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.2-1
- new upstream release

* Sat Apr 21 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1-1
- new upstream release
- add BuildRequires: python-devel
- add Patch0 (glib-2.32.1-dconf-path.patch)

* Wed Nov 16 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-1
- new upstream release

* Sun Oct 16 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release

* Wed Sep 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release
- add Requires: libffi-devel, zlib-devel (-devel sub package)

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.29.92-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.29.18-1
- new upstream release
- remove Patch0,1

* Sun Aug 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.29.16-1
- new upstream release
- Patch0: glib-2.29.16-fixes-bug-656387.patch
- Patch1: glib-2.29.16-fixes-bug-656675.patch

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.29.14-1
- new upstream release
- add BuildRequires: libffi-devel, dbus-devel

* Sat Jun 18 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.8-1
- new upstream release

* Fri Apr 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.6-1
- new upstream release

* Sun Apr 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.5-1
- new upstream release

* Wed Mar 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.4-1
- new upstream release

* Sat Mar 19 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.3-1
- new upstream release

* Sun Mar 13 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.2-1
- new upstream release

* Sat Feb 19 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.1-1
- new upstream release

* Sat Feb 12 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.0-1
- new upstream release

* Fri Dec 10 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.26.1-2
- move the following files from glib2-devel to glib2 package
   (gdbus, gio-querymodules, glib-compile-schemas, gsettings)

* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.26.1-1
- new upstream release

* Sat Oct 02 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.26.0-1
- new upstream release
- fix Source (add URL)
- fix %files to add /etc/bash_completion.d files

* Tue Sep 21 2010 IWAI, Masaharu <iwai@alib.jp> 2.24.2-2
- build with rpm-4.8.1-1 for pkg-config file

* Sat Aug 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.24.2-1
- new upstream release

* Tue May 11 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.24.1-1
- new upstream release

* Sun Mar 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.24.0-1
- new upstream release
- add BuildRequires: zlib-devel

* Sun Mar 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.22.5-1
- new upstream release

* Mon Jan 11 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.22.4-1
- new upstream release

* Thu Jan 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.22.3-1
- new upstream release

* Sun Oct 11 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.22.2-1
- new upstream release

* Thu Sep 24 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.22.0-1
- new upstream release

* Mon Jun 29 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.20.4-1
- new upstream release

* Tue Jun 09 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.20.3-1
- new upstream release

* Thu May 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.20.2-1
- new upstream release

* Sat Apr 11 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.1-1
- new upstream release

* Wed Mar 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.20.0-1
- new upstream release

* Sun Jan 18 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.4-1
- new upstream release

* Tue Nov 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.3-1
- new upstream release

* Tue Oct 21 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.2-1
- new upstream release

* Sat Sep 20 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.1-1
- new upstream release

* Fri Sep 05 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.0-1
- new upstream release

* Mon Jul  7 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.16.4-1
- new upstream release

* Sat May 10 2008 NAKAMURA Kenta <kenta@vinelinux.org> 2.16.3-2
- updated %%if %%{build_compat32} case related statements

* Wed Apr  9 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.16.3-1vl5
- new upstream release
- removed lib*.la files from devel package

* Sun Apr  6 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.16.2-1vl5
- new upstream release

* Thu Mar 20 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.16.1-1vl5
- added %%{?_dist_release}
- BuildRequires: gamin-devel

* Tue Mar 11 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.16.1-0vl1
- new upstream release

* Thu Feb  7 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.6-0vl1
- new upstream release

* Wed Jan  9 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.5-0vl1
- new upstream release

* Wed Nov 14 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.3-0vl1
- new upstream release

* Thu Oct 18 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.2-0vl1
- new upstream release
- removed BuildRequires: automake17

* Thu Sep 20 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.1-0vl1
- new upstream release

* Sun Aug 19 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.0-0vl1
- new upstream release

* Wed Jul 18 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.13-0vl1
- new upstream release

* Sun May 20 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.12-0vl2
- rebuild with new environment

* Thu May 03 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.12-0vl1
- new upstream release

* Thu Mar 15 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.11-0vl1
- new upstream release

* Mon Jan 08 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.7-0vl1
- new upstream release

* Mon Dec 25 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.12.6-0vl1
- new upstream release

* Thu Aug 31 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.3-0vl1
- new upstream release

* Wed Aug 16 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.2-0vl1
- new upstream release

* Sat Aug 05 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.1-0vl1
- new upstream release

* Mon Jun 26 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.10.3-0vl3
- rebuild

* Sun Jun 11 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.3-0vl2
- update glib2.{sh,csh}
  - add EUC-JP,CP932,UTF-8 to G_FILENAME_ENCODING

* Fri Jun 02 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.3-0vl1
- new upstream release

* Sat Apr 08 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.2-0vl1
- new upstream release

* Thu Mar 09 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.1-0vl1
- new upstream release

* Sun Mar 05 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream release

* Mon Feb 27 2006 Shu KONNO <owa@bg.wakwak.com> 2.8.6-0vl2
- added compat32-* packages for x86_64 architecture support
- chaged G_ATOMIC_X86_64 to I486 in config.h before making compat32

* Sun Jan 29 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.6-0vl1
- new upstream release

* Thu Jan 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.5-0vl1
- new upstream release

* Wed Nov 30 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.4-0vl1
- new upstream release

* Tue Sep 27 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.2-0vl1
- new upstream release

* Tue Sep 20 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.1-0vl3
- fixed typo in glib2.csh

* Sun Sep 18 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.1-0vl2
- update glib2.{sh,csh} to use G_FILENAME_ENCODING instead of
  G_BROKEN_FILENAMES.

* Wed Aug 24 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.1-0vl1
- new upstream release

* Sat Aug 13 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.0-0vl1
- new upstream release

* Sat Aug 06 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.7.7-0vl1
- new upstream release

* Fri Aug 05 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.7.6-0vl1
- new upstream release

* Tue Aug 02 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.7.4-0vl1
- new upstream release

* Sun Jul 03 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.5-0vl1
- new upstream release
- add *.la to build arts (should be fixed in arts?)

* Sat Apr 09 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.4-0vl1
- new upstream release

* Fri Mar 04 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.3-0vl1
- new upstream release

* Sat Feb 05 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.2-0vl1
- new upstream release

* Mon Jan 10 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.1-0vl1
- new upstream release

* Sat Dec 04 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.8-0vl1
- new upstream release

* Mon Nov 08 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.7-0vl2
- rebuilt

* Mon Oct 11 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.7-0vl1
- new upstream release

* Sat Aug 14 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.6-0vl1
- new upstream release

* Sun Aug 08 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.5-0vl1
- new upstream release

* Fri Jul 16 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.4-0vl1
- new upstream release

* Sat Jun  5 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.2-0vl1
- new upstream release

* Sat May  1 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.1-0vl1
- new upstream release

* Thu Mar 18 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release

* Wed Dec 24 2003 Tomoya TAKA <taka@vinelinux.org> 2.2.3-0vl2
- rebuild with new toolchain

* Sun Aug 30 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.3-0vl1
- new upstream release

* Tue Jun 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.2-0vl1
- new upstream release

* Mon Feb 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl1
- new upstream release

* Wed Dec 25 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release

* Fri Dec 13 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.4-0vl1
- new upstream release
- build for Vine Linux

* Tue Aug 13 2002 Havoc Pennington <hp@redhat.com>
- install glib2.sh and glib2.csh to set G_BROKEN_FILENAMES
- blow away unpackaged files in install

* Thu Aug  8 2002 Owen Taylor <otaylor@redhat.com>
- Version 2.0.6
- Remove fixed-ltmain.sh; shouldn't be needed any more.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.4

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Apr 24 2002 Havoc Pennington <hp@redhat.com>
 - rebuild in different environment

* Mon Apr 15 2002 Owen Taylor <otaylor@redhat.com>
- Fix missing .po files (#63336)

* Wed Apr  3 2002 Alex Larsson <alexl@redhat.com>
- Update to version 2.0.1

* Fri Mar  8 2002 Owen Taylor <otaylor@redhat.com>
- Version 2.0.0

* Mon Feb 25 2002 Alex Larsson <alexl@redhat.com>
- Update to 1.3.15

* Thu Feb 21 2002 Alex Larsson <alexl@redhat.com>
- Bump for rebuild

* Mon Feb 18 2002 Alex Larsson <alexl@redhat.com>
- Update to 1.3.14

* Fri Feb 15 2002 Havoc Pennington <hp@redhat.com>
- add horrible buildrequires hack

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 1.3.13.91 cvs snap

* Mon Feb 11 2002 Matt Wilson <msw@redhat.com>
- rebuild from CVS snapshot
- use setup -q

* Thu Jan 31 2002 Jeremy Katz <katzj@redhat.com>
- rebuild

* Tue Jan 29 2002 Owen Taylor <otaylor@redhat.com>
- 1.3.13

* Tue Jan 22 2002 Havoc Pennington <hp@redhat.com>
- attempting rebuild in rawhide

* Wed Jan  2 2002 Havoc Pennington <hp@redhat.com>
- remove 64-bit patch now upstream, 1.3.12.90

* Mon Nov 26 2001 Havoc Pennington <hp@redhat.com>
- add some missing files to file list, langify

* Sun Nov 25 2001 Havoc Pennington <hp@redhat.com>
- add temporary patch to fix GTypeFundamentals on 64-bit

* Sun Nov 25 2001 Havoc Pennington <hp@redhat.com>
- Version 1.3.11

* Thu Oct 25 2001 Owen Taylor <otaylor@redhat.com>
- Version 1.3.10

* Tue Sep 25 2001 Owen Taylor <otaylor@redhat.com>
- Version 1.3.9

* Wed Sep 19 2001 Owen Taylor <otaylor@redhat.com>
- Version 1.3.8

* Fri Jul 20 2001 Owen Taylor <otaylor@redhat.com>
- Make -devel package require main package (#45388)
- Fix description and summary
- Configure with --disable-gtk-doc

* Wed Jun 20 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add some portability fixes needed at least on s390
- copy config.{guess,sub} instead of calling libtoolize

* Wed Jun 13 2001 Havoc Pennington <hp@redhat.com>
- try a new glib tarball with Makefile changes to work around
  libtool linking to installed .la files
- make -devel require pkgconfig

* Tue Jun 12 2001 Havoc Pennington <hp@redhat.com>
- either libtool or the bad libtool hacks caused link 
  against glib-gobject 1.3.2, rebuild

* Tue Jun 12 2001 Havoc Pennington <hp@redhat.com>
- 1.3.6
- bad libtool workarounds

* Fri May 04 2001 Owen Taylor <otaylor@redhat.com>
- 1.3.5, rename to glib2

* Fri Nov 17 2000 Owen Taylor <otaylor@redhat.com>
- Final 1.3.2

* Mon Nov 13 2000 Owen Taylor <otaylor@redhat.com>
- Version 1.3.2pre1
- Remove pkgconfig

* Sun Aug 13 2000 Owen Taylor <otaylor@redhat.com>
- Call 1.3.1b instead of snap... the snap* naming doesn't
  order correctly.

* Thu Aug 10 2000 Havoc Pennington <hp@redhat.com>
- new snapshot with fixed .pc files

* Thu Aug 10 2000 Havoc Pennington <hp@redhat.com>
- include .pc files in file list

* Thu Aug 10 2000 Havoc Pennington <hp@redhat.com>
- Include pkg-config
- Upgrade to a glib CVS snapshot

* Wed Jul 19 2000 Jakub Jelinek <jakub@redhat.com>
- rebuild to cope with glibc locale binary incompatibility

* Fri Jul 14 2000 Owen Taylor <otaylor@redhat.com>
- Remove glib-config.1 manpage from build since
  it conflicts with glib-devel. When we go to 
  glib glib1.2 setup, we should add it back

* Fri Jul 07 2000 Owen Taylor <otaylor@redhat.com>
- Version 1.3.1
- Move back to standard %{prefix}

* Thu Jun 8 2000 Owen Taylor <otaylor@redhat.com>
- Rebuild in /opt/gtk-beta

* Tue May 30 2000 Owen Taylor <otaylor@redhat.com>
- New version (adds gobject)

* Wed Apr 25 2000 Owen Taylor <otaylor@redhat.com>
- Don't blow away /etc/ld.so.conf (sorry!)

* Tue Apr 24 2000 Owen Taylor <otaylor@redhat.com>
- Snapshot RPM for Pango testing

* Fri Feb 04 2000 Owen Taylor <otaylor@redhat.com>
- Added fixes from stable branch of CVS

* Thu Oct 7  1999 Owen Taylor <otaylor@redhat.com>
- version 1.2.6

* Fri Sep 24 1999 Owen Taylor <otaylor@redhat.com>
- version 1.2.5

* Fri Sep 17 1999 Owen Taylor <otaylor@redhat.com>
- version 1.2.4

* Mon Jun 7 1999 Owen Taylor <otaylor@redhat.com>
- version 1.2.3

* Thu Mar 25 1999 Michael Fulbright <drmike@redhat.com>
- version 1.2.1

* Fri Feb 26 1999 Michael Fulbright <drmike@redhat.com>
- Version 1.2

* Thu Feb 25 1999 Michael Fulbright <drmike@redhat.com>
- version 1.2.0pre1

* Tue Feb 23 1999 Cristian Gafton <gafton@redhat.com>
- new description tags 

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- removed libtoolize from %build

* Thu Feb 11 1999 Michael Fulbright <drmike@redhat.com>
- added libgthread to file list

* Fri Feb 05 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.15

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.14

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.13

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- version 1.1.12

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated in preparation for the GNOME freeze

* Mon Apr 13 1998 Marc Ewing <marc@redhat.com>
- Split out glib package

