%define name	gparted
%define version	0.14.1
%define release	1%{?_dist_release}

Summary:	Gnome Partition Editor
Summary(ja): 	Gnome パーティション編集ツール
Name:		%{name}
Version:	%{version}
Release: 	%{release}
License:	GPL
Group:		Applications/Administration
URL:		http://gparted.sourceforge.net

Source0:	%{name}-%{version}.tar.bz2
Source1:	gparted-pam.d
Source2:	gparted-console.apps
Patch1:		gparted-0.11.0-desktop.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	gtk2-devel >= 2.6.0, gtkmm2-devel >= 2.8.0
BuildRequires:	parted-devel >= 3.1, e2fsprogs-devel >= 1.41.0
BuildRequires:	libuuid-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gnome-doc-utils >= 0.3.2
Requires:	e2fsprogs >= 1.41.0

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	kazutaka, Takemikaduchi

%description
GParted stands for Gnome Partition Editor. Among other features
it supports creating, resizing, moving and copying of partitions. 

%description -l ja
GParted は Gnome 用のパーティション編集ツールです。特にパーティ
ションの作成/リサイズ/移動/コピーをサポートしています。


%prep
%setup -q

%patch1 -p1 -b .desktop

%build
autoreconf -if
%configure
%__make %{?_smp_mflags}


%install
%__rm -rf ${RPM_BUILD_ROOT}
%__make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --delete-original                   \
        --vendor ""                                      \
        --dir %{buildroot}%{_datadir}/applications       \
	--mode 0644				         \
        %{buildroot}%{_datadir}/applications/%{name}.desktop
sed -i 's#sbin#bin#' %{buildroot}%{_datadir}/applications/%{name}.desktop

# Set up authentication via PAM.
%__mkdir_p ${RPM_BUILD_ROOT}/%{_sysconfdir}/pam.d
%__mkdir_p ${RPM_BUILD_ROOT}/%{_sysconfdir}/security/console.apps
%__mkdir_p ${RPM_BUILD_ROOT}/%{_bindir}
%__cp %{SOURCE1} ${RPM_BUILD_ROOT}/%{_sysconfdir}/pam.d/gparted
%__cp %{SOURCE2} ${RPM_BUILD_ROOT}/%{_sysconfdir}/security/console.apps/gparted
%__ln_s consolehelper ${RPM_BUILD_ROOT}/%{_bindir}/gparted

%find_lang %{name}


%clean
%__rm -rf ${RPM_BUILD_ROOT}

%preun
if [ $1 -ge 0 ]; then
    if [ -a %{_datadir}/hal/fdi/policy/gparted-disable-automount.fdi ]; then
       rm -rf %{_datadir}/hal/fdi/policy/gparted-disable-automount.fdi
    fi
fi


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%config(noreplace) %{_sysconfdir}/pam.d/gparted
%config(noreplace) %{_sysconfdir}/security/console.apps/gparted
%{_bindir}/gparted
%{_sbindir}/gparted
%{_sbindir}/gpartedbin
%{_datadir}/applications/gparted.desktop
%{_datadir}/gnome/help/gparted
%{_datadir}/icons/hicolor/16x16/apps/gparted.png
%{_datadir}/icons/hicolor/22x22/apps/gparted.png
%{_datadir}/icons/hicolor/24x24/apps/gparted.png
%{_datadir}/icons/hicolor/32x32/apps/gparted.png
%{_datadir}/icons/hicolor/48x48/apps/gparted.png
%{_datadir}/icons/hicolor/scalable/apps/gparted.svg
%{_datadir}/omf/gparted
%{_mandir}/man8/gparted.*

%changelog
* Mon Jan 07 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.14.1-1
- new upstream release

* Sat Oct 13 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.14.0-1
- new upstream release

* Sat Aug 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.13.1-1
- new upstream release

* Sun Jul 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.13.0-1
- new upstream release

* Thu Jan 05 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.11.0-1
- new upstream release
- update Patch1 (gparted-0.11.0-desktop.patch)
- remove Requires: hal

* Sun Oct 02 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.1-1
- new upstream release
- update Patch1 (gparted-0.9.1-desktop.patch)

* Sat Apr  2 2011 IWAI, Masaharu <iwai@alib.jp> 0.8.0-1
- new upstream release
- update desktop file patch (Patch1)

* Sat Dec 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.1-1
- new upstream release

* Sat Dec 04 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.7.0-2
- add BuildRequires: libuuid-devel, gnome-doc-utils

* Wed Nov 10 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.7.0-1
- new upstream release

* Wed Nov 10 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.6.0-1
- new upstream release
- built with parted 2.3

* Tue May 19 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.4.5-1
- new upstream release

* Sun May 03 2009 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.4.4-1
- new upstream release
- add mimimun version requiment for e2fsprogs >= 1.41.0
- add Packager tag

* Tue Aug 19 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.3.8-1
- new upstream release
- build with parted-1.8.8

* Sat Apr 05 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.3.6-1
- new upstream release.
- apply new versioning policy.

* Sun Mar 02 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.3.5-0vl2
- rebuild for VineSeed.
  * Sun Mar 02 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.3.5-0vl1
  - new upstream release.

* Sun Mar 02 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.3.5-0vl1
- new upstream release.

* Sat May 19 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.3.3-0vl2
- rebuild with new environment/toolchain.

* Tue Dec 12 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.3.3-0vl1
- new upstream release.
- add required parted version >= 1.7.1.
- update japanese translation.

* Thu Jun  8 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.2.5-0vl2
- add GnuPG signature.

* Wed Jun  7 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.2.5-0vl1
- new upstream release.

* Fri May  5 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.2.3-0vl3
- update ja.po.

* Wed May  3 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.3-0vl2
- rebuilt with parted 1.6.25.1

* Tue Apr 27 2006 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.2.3-0vl1
- initial build for VineSeed Plus.
