%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary:	Text shaping library
Name:		harfbuzz
Version:	0.9.9
Release:	1%{?_dist_release}
Source0:	http://www.freedesktop.org/software/harfbuzz/release/%{name}/%{name}-%{version}.tar.bz2
License:	MIT
Group:		System Environment/Libraries 
URL:		http://www.freedesktop.org/wiki/Software/HarfBuzz

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi

BuildRequires:	glib2-devel
BuildRequires:	cairo-devel
BuildRequires:	freetype2-devel


%description
HarfBuzz is an OpenType text shaping engine.


%package	devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
%{name}.


# compat32
%package -n compat32-%{name}
Summary:	A set of Thai language support routines
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n compat32-%{name}
HarfBuzz is an OpenType text shaping engine.


%package -n compat32-%{name}-devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          Development/Libraries
Requires:       compat32-%{name} = %{version}-%{release}
Requires:       pkgconfig

%description -n compat32-%{name}-devel
Header files and libraries for building a extension library for the
%{name}.



%prep
%setup -q


%build
%configure \
	--disable-static

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} \;
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog NEWS README
%{_bindir}/hb-ot-shape-closure
%{_bindir}/hb-shape
%{_bindir}/hb-view
%{_libdir}/libharfbuzz.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/libharfbuzz.so
%{_libdir}/pkgconfig/%{name}.pc

%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-, root, root,-)
%{_libdir}/libharfbuzz.so.*

%files -n compat32-%{name}-devel
%defattr(-, root, root,-)
%{_libdir}/libharfbuzz.so
%endif


%changelog
* Wed Jan 02 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.9-1
- new upstream release

* Wed Nov 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.5-1
- new upstream release

* Wed Sep 26 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.4-1
- initial build

