%define         base_name       hostapd
%define         pkg_version     1.1
%define         pkg_release     1%{?_dist_release}

Summary:        IEEE 802.11 AP, IEEE 802.1X/WPA/WPA2/EAP/RADIUS Authenticator
Summary(ja):    IEEE 802.11 AP, IEEE 802.1X/WPA/WPA2/EAP/RADIUS 認証局
Name:           %{base_name}
Version:        %{pkg_version}
Release:        %{pkg_release}
Source0:        %{base_name}-%{version}.tar.gz
Source1:        %{base_name}-init.sh
Source2:        %{base_name}-%{version}.config
Patch0:         %{base_name}-%{version}.patch
License:        GPL2
Group:          System Environment/Daemons
URL:            http://hostap.epitest.fi/hostapd/

Requires:       openssl, libnl >= 1.1
Requires(post): %{_syssbindir}/chkconfig
Requires(preun): %{_syssbindir}/chkconfig
BuildRequires:  openssl-devel, libnl-devel
BuildRoot:      %{_tmppath}/%{base_name}-%{version}-root

Vendor:         Project Vine
Distribution:   Vine Linux
Packager:       miyabi

%description
hostapd is a user space daemon for access point and authentication servers. It implements IEEE 802.11 access point management,
IEEE 802.1X/WPA/WPA2/EAP Authenticators, RADIUS client, EAP server, and RADIUS authentication server.
The current version supports Linux (Host AP, madwifi, mac80211-based drivers) and FreeBSD (net80211).

%description -l ja
hostapd はアクセスポイントと認証サーバのためのユーザスペースデーモンです。
IEEE 802.11 アクセスポイント管理、IEEE 802.1X/WPA/WPA2/EAP 認証局、RADIUS クライアント、EAP サーバ、および RADIUS 認証サーバを実装します。
最新版は、Linux(Host AP、madwifi、mac80211ベースのドライバー)とFreeBSD(net80211)をサポートします。

%prep
%setup -q
%patch0 -p1
cp %{SOURCE1} .
cp %{SOURCE2} ./%{base_name}/.config

%build
cd %{base_name}
%{__make} %{?_smp_mflags}

%install
[ "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}

pushd %{base_name}
%{__make} install DESTDIR="${RPM_BUILD_ROOT}"
popd

mkdir -p ${RPM_BUILD_ROOT}%{_initdir}

install %{SOURCE1} ${RPM_BUILD_ROOT}%{_initdir}/%{base_name}

%post
if ! /sbin/chkconfig %{base_name}; then
  /sbin/chkconfig --add %{base_name}
fi

if [ "$1" -eq "2" ]; then
  %{_initdir}/%{base_name} condrestart
fi

%preun
if [ "$1" -eq "0" ]; then
  %{_initdir}/%{base_name} stop
  /sbin/chkconfig --del %{base_name}
fi

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)

# Directory
%dir %{_sysconfdir}/%{base_name}/

# Program Files
%attr(0755, root, root) %{_sbindir}/%{base_name}
%attr(0755, root, root) %{_bindir}/hostapd_cli

%attr(0755, root, root) %{_initdir}/%{base_name}

# Config Files
%attr(0644, root, root) %config(noreplace) %{_sysconfdir}/%{base_name}/%{base_name}.conf

# Document Files
%doc %{base_name}/ChangeLog COPYING README
%{_mandir}/man8/%{base_name}.8.gz
%{_mandir}/man1/hostapd_cli.1.gz

%changelog
* Sun Dec  2 2012 Masahiro INOUE <miyabi.-.inoue@nifty.com> 1.1-1
- new upstream release

* Fri Oct 19 2012 Masahiro INOUE <miyabi.-.inoue@nifty.com> 1.0.0-1
- new upstream release
- add Summary(ja)
- add section - %description -l ja
- add parameter noreplace to %config
- change spec file

* Tue Oct  9 2012 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 0.7.3-3
- add patch100 for fix CVE-2012-4445 (EPA-TLS message)

* Thu Feb 10 2011 Masahiro INOUE <miyabi.-.inoue@nifty.com> 0.7.3-2
- fix daemon script
- change spec file
- separation from patch file
  - daemon script
  - .config
- add Source1 - hostapd-init.sh
- add Source2 - hostapd-0.7.3.config
- add Requires(post) - chkconfig
- add Requires(preun) - chkconfig

* Sun Feb 06 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.5.11-2
- rebuild with openssl-1.0.0c

* Tue Sep 21 2010 Masahiro INOUE <miyabi.-.inoue@nifty.com> 0.7.3-1
- new upstream release

* Sat May 08 2010 Masahiro INOUE <miyabi.-.inoue@nifty.com> 0.6.10-1
- new upstream release

* Mon Nov 15 2009 Masahiro INOUE <miyabi.-.inoue@nifty.com> 0.6.9-1
- new upstream release

* Mon Jan 05 2009 Masahiro INOUE <miyabi.-.inoue@nifty.com> 0.5.11-1
- new upstream release

* Wed Apr 16 2008 Masahiro INOUE <miyabi.-.inoue@nifty.com> 0.5.10-1
- initial build for Vine Linux
