Name: kscd
Summary: KDE cd player
Summary(ja): KDE CD プレイヤー
Version: 4.9.5
Release: 1%{?_dist_release}

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

License: GPLv2+
Group: Applications/Multimedia
URL: http://www.kde.org/

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: alsa-lib-devel
BuildRequires: libmusicbrainz3-devel

Requires: kdelibs4 >= %{version}


%description
KsCD is a small, fast, CDDB enabled audio CD player which supports multiple platforms.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
touch --no-create %{_datadir}/icons/oxygen &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_datadir}/icons/oxygen &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
  touch --no-create %{_datadir}/icons/oxygen &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_datadir}/icons/oxygen &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi


%files
%defattr(-,root,root)
%{_bindir}/kscd
%{_datadir}/applications/kde4/kscd.desktop
%{_datadir}/config.kcfg/kscd.kcfg
%{_datadir}/dbus-1/interfaces/org.kde.kscd.cdplayer.xml
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/oxygen/*/actions/kscd-dock.*
%{_datadir}/kde4/apps/kscd
%{_datadir}/kde4/apps/solid/actions/kscd-play-audiocd.desktop


%changelog
* Fri Jan 04 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.5-1
- new upstream release

* Sat Nov 10 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.3-1
- new upstream release

* Sun Oct 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.2-1
- new upstream release

* Thu Sep 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.1-1
- new upstream release

* Sun Aug 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.0-1
- initial build
