Name:           libgee
Version:        0.8.3
Release:        1%{?_dist_release}
Summary:        GObject collection library
Summary(ja):    GObject コレクションライブラリ

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://live.gnome.org/Libgee
Source0:        http://download.gnome.org/sources/%{name}/0.8/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  glib2-devel >= 2.12.0
BuildRequires:  gobject-introspection-devel

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
libgee is a collection library providing GObject-based interfaces and
classes for commonly used data structures.

libgee provides the following interfaces:

        * Iterable
          * Collection
            * List
            * Set
        * Iterator
        * Map

The ArrayList, HashSet, and HashMap classes provide a reasonable sample
implementation of the List, Set, and Map interfaces. ReadOnlyCollection,
ReadOnlyList, ReadOnlySet, and ReadOnlyMap are read-only wrapper classes
that prevent modification of the underlying collection.

libgee is written in Vala and can be used like any GObject-based C library.
It's planned to provide bindings for further languages.


%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       gobject-introspection-devel
# The Vala API binding is only one file; seems superfluous to have a subpackage
Requires:       vala, pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING MAINTAINERS NEWS README
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/*.typelib

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/gee-0.8.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala/vapi/gee-0.8.vapi


%changelog
* Wed Jan 02 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.8.3-1
- new upstream release

* Sun Nov 11 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.8.2-1
- new upstream release

* Mon Oct 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.8.1-1
- new upstream release

* Thu Sep 27 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.8.0-1
- new upstream release

* Sat Aug 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.6.5-1
- new upstream release

* Thu Feb 09 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.4-1
- new upstream release

* Sun Nov 13 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.6.3-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.2.1-1
- new upstream release

* Sun Jan 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.1-1
- new upstream release

* Sat Oct 02 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.0-1
- new upstream release
- fix %files

* Mon Sep 27 2010 Shu KONNO <owa@bg.wakwak.com> 0.5.3-2
- rebuilt with rpm-4.8.1 for pkg-config

* Fri Sep 17 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.3-1
- new upstream release
- changed BuildRequires:  glib2-devel >= 2.12.0

* Fri Aug 27 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.2-2
- added BuildRequires:  gobject-introspection-devel

* Tue Aug 3 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.2-1
- new upstream release

* Sun Jun 20 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.1-1
- new upstream release

* Wed Dec 30 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 0.5.0-1
- intial build for VineSeed

* Sat Oct  3 2009 Michel Salim <salimma@fedoraproject.org> - 0.5.0-1
- Update to 0.5.0

* Thu Aug 20 2009 Michel Salim <salimma@fedoraproject.org> - 0.3.0-1
- Update to 0.3.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar  2 2009 Michel Salim <salimma@fedoraproject.org> - 0.1.5-1
- Update to 0.1.5

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Dec 13 2008 Michel Salim <salimma@fedoraproject.org> - 0.1.4-2
- Run unit tests only on releases with glib2 >= 2.16

* Sat Dec 13 2008 Michel Salim <salimma@fedoraproject.org> - 0.1.4-1
- Update to 0.1.4

* Mon Aug 25 2008 Michel Salim <salimma@fedoraproject.org> - 0.1.3-1
- Update to 0.1.3

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.1.1-3
- Autorebuild for GCC 4.3

* Sun Jan 27 2008 Michel Salim <michel.sylvan@gmail.com> - 0.1.1-2
- Move pkgconfig requirement to -devel subpackage

* Sat Jan 26 2008 Michel Salim <michel.sylvan@gmail.com> - 0.1.1-1
- Initial Fedora package
